** 	THIS FILE ANALYSES THE LAND USE

** 	CHANGE THE DIRECTORY
	cd $DIR

** 	OPEN SOLUTION.DTA
** 	OPEN SOLUTION.DTA
	use P_B_rhs, clear

	
 

** 	CLASSIFY FARM HOUSEHOLDS BASED ON LAND TYPES

	g rf_farm = 1 if land_irri>0&land_river==0
	g ir_bgdam = 2 if land_river>0&secID==0

	g ir_smdam = 3 if land_river>0&secID>0


      g typefarm = 0 if secID>=0

	replace typefarm = 1 if rf_farm==1
	replace typefarm = 2 if ir_bgdam==2
	replace typefarm = 3 if ir_smdam==3
      

	label define typefarm 1 "RFfarm" 2 "Bigdamfarm" 3 "Smalldamfarm 
	label val typefarm
      
   use P_B_solution, clear
	
	merge using  farmtype

	drop _merge


 drop if period==1
drop if period==2
drop if period==3

	g ac_credit =1 if Br_cred > 0

	collapse (sum) ac_credit (count) aID, by( run period typefarm) fast
      
	g pa_ac_credit = ac_credit/aID*100
     collapse (mean) pa_ac_credit (count) aID, by(run period typefarm)fast
     reshape wide pa_ac_credit, i(period aID typefarm)j(run) string

	twoway (connected pa_ac_creditP_B  period, lcolor(red) lpattern(solid) lwidth(medthick) msymbol(square) mcolor(dkgreen) msize(medium)), ytitle(% of agents ) xtitle(Period) title(Access to short term credit) ylabel(10(10)60, labsize(medium) angle(horizontal)) xlabel(1(1)15, labsize(medium) angle(horizontal))
gg

	graph export "D:\MPMAS\GHA162\Stata\results\access_CRE_PR.tif", as(tif) replace

