* 	THIS FILE APPENDS THE SOLUTION FILES OF DIFF SCENARIOS AND ANALYSES THE DIFFUSION


** 	CHANGE THE DIRECTORY
	cd $DIR

** 	OPEN SOLUTION.DTA
	
	 use T1_Solution, clear
      append using T2_solution
     	append using T4_solution
		append using T5_solution
		append using T6_solution
		append using T7_solution
		append using T8_solution
		append using T10_solution
		append using T11_solution
		append using T13_solution
		append using T14_solution
		append using T15_solution
		append using T16_solution
		append using T17_solution
		append using T18_solution
		append using T19_solution
		append using T20_solution
		append using T21_solution
		append using T22_solution
		append using T23_solution
		append using T24_solution
		append using T25_solution
		append using T27_solution
		append using T28_solution
		append using T29_solution
		append using T30_solution
		append using T32_solution
		append using T33_solution
		append using T34_solution
		append using T35_solution
		append using T36_solution
		append using T37_solution
		append using T38_solution
		append using T39_solution
		append using T41_solution
		append using T42_solution
		append using T43_solution
		append using T44_solution
		append using T45_solution
		append using T46_solution
		append using T47_solution
		append using T48_solution
		append using T49_solution
		append using T50_solution
	
	
*************************************************************************************
**	CHANGE PERIODS INTO YEARS
	g year = $YEAR -1 + period		/* From periods to years */

******************
	
	save temp, replace


	use temp, clear

*********************************************************************************************
**FAMILY SIZE (IN MALE ADULT (18-62) EQUIVALENT: 3.259 BJ/YEAR)
	g hhsize = e_demand
	g hhsize_ae = hhsize / 3.259
	label var hhsize "Household size [BJ]
	label var hhsize_ae "Household size [male adult equivalents]

** PERCAPITA ENERGY CONSUMPTION and poverty decompostion
    g pcap_en = e_supply/hhsize_ae
     egen group = group(run year pcap_en)

gg

	collapse (mean) income , by( run year ) fast
 
	
	reshape wide  income , i(year) j(run) string
	egen group = group(age sex), label

stripplot bp*, bar over(when) by(group, compact col(1) note("")) /// ysc(reverse) subtitle(, pos(9) ring(1) nobexpand bcolor(none) /// placement(e)) ytitle("") xtitle(Blood pressure (mm Hg)) 

gg

	graph bar  incomeBSL incomeBSLEX, over(year) bar(1, bc(black)) bar(2, bc(forest_green*0.9) ) bar(3, bc(sienna*0.7) ) legend(cols(2) label(1 "Baseline [Endo Prices]") label(2 "Baseline [Exo Prices]") region(lpattern(blank) margin(medium))) ylabel(0(500)2500, gmin gmax glc(black) glw(*0.9) angle(horizontal) labsize(medlarge)) ysca(noline) ytitle("Income in GH cedi", size(medium))  graphregion(fc(white)) plotregion(margin(zero) lc(black)) title("Average Income of Household [in GH Cedi]", size(large))
	
	graph export "D:\MPMAS\TONO243\Stata\results\Income_comp.tif", as(tif) replace


gg
