** THIS FILE ANALYSES THE LIVESTOCK HERD SIZE

** 	CHANGE THE DIRECTORY
	cd $DIR

** 	OPEN SOLUTION.DTA
	use W_rhs, clear

*************************************************************************************
**	CHANGE PERIODS INTO YEARS
	g year = $YEAR -1 + period		/* From periods to years */
gg
	

**************************************************************************************

collapse (mean)liquidity, by (run year) fast

graph bar (mean) liquidity, over(year) bar(1, fcolor(lavender) lcolor(lavender)) ytitle(GH.Cedi) title(Average liquidity) graphregion(fc(white))
graph export "D:\MPMAS\Ghana_casestudy\TONO_150\Stata\results\Livestock_liquidity_BSL.tif", as(tif) replace
gg
