** THIS FILE ANALYSES THE SIMULATION OUTPUT

** 	CHANGE THE DIRECTORY
	cd $DIR

** 	OPEN SOLUTION.DTA
	use B_DRYRIFL_Rhs, clear


***************************************************************************

egen avlab = rowtotal(l_*)
egen land = rowtotal(land_*)
egen totwater = rowtotal(water1 - water12)
gg
egen herdsize = rowtotal(gdoe_tot gbuc_tot cow_tot bull_tot sewe_tot sram_tot)

collapse (mean)liquidity avlab land herdsize (sum)land_irri, by(period) fast
gg
graph bar (mean) liquidity, over(period) bar(1, fcolor(forest_green) lcolor(forest_green)) ytitle(Liquidity (.0000 Cedis)) title(Liqudity .0000 Cedis)

graph export "results/Liquidity.tif", as(tif) replace
