** 	CHANGE THE DIRECTORY
	cd $DIR

** 	OPEN SOLUTION.DTA
	use BSL_rhs, clear

	append using CRE_rhs
		
	append using BSLEX_rhs
	append using CREEX_rhs



	

** 	CLASSIFY FARM HOUSEHOLDS BASED ON LAND TYPES

	g rf_farm = 1 if land_irri>0&land_river==0
	g ir_bgdam = 2 if land_river>0&secID==0

	g ir_smdam = 3 if land_river>0&secID>0

      g typefarm = 0 if secID>=0

	replace typefarm = 1 if rf_farm==1
	replace typefarm = 2 if ir_bgdam==2
	replace typefarm = 3 if ir_smdam==3


	label define typefarm 1 "RFfarm" 2 "Bigdamfarm" 3 "Smalldamfarm 
	label val typefarm

 	keep run period aID typefarm
	
	save farmtype, replace

***********************************************************************************
	use EndData, clear
	
	merge using  farmtype

	drop _merge


*************************************************************************************
**	CHANGE PERIODS INTO YEARS
	g year = $YEAR -1 + period		/* From periods to years */

	drop if period==1			/*Drop first 2 simulation years*/
	drop if period==2
**	drop if period==13

**************************************************************************************
	

	collapse (mean) income, by( run typefarm) fast
      


gg

	
