**	CHANGE THE DIRECTORY
	cd $DIR

** 	OPEN SOLUTION.DTA
	use BSL_Rhs, clear

	keep run period aID fstID clustID land_rf land_irri land_river
	egen land = rowtotal(land_*)
	drop if period >1
	drop land_* period

	quietly gen  D_2 = 2 if fstID <1000000
	quietly gen  D_1 = 1 if fstID >1000000
	egen DistID= rsum(D_*)
	drop D_* fstID

	order run DistID clustID aID 
	sort clustID aID
	drop land

	use survey, clear

	gen D_1 = 1 if Builsa  ==1
	gen D_2 = 2 if Kassena ==1
	gen D_3 = 3 if Bongo  ==1
	gen D_4 = 4 if Bolga  ==1
	gen D_5 = 5 if BawkuW  ==1
	gen D_6 = 6 if BawkuM  ==1
	gen D_7 = 7 if Talensi  ==1
	gen D_8 = 8 if GaruTemp  ==1

	egen DistID= rsum(D_*)
	drop D_* _merge

** 	KEEP ONLY THE DISTRICTS IN ATANKWIDI CATCHMENT

	drop if DistID>2
	**keep if DistID==2

	rename cid clustID

	keep aID clustID DistID 

	order DistID clustID aID 
	
	sort  clustID aID
