** 	THIS FILE ANALYSES THE LAND USE

** 	CHANGE THE DIRECTORY
	cd $DIR

** 	OPEN SOLUTION.DTA
	use BSL_DRY_solution, clear

****************************************************************************************

	collapse (mean) income savings food_expenditures, by( run period) fast


	graph bar  income savings, over(period, gap(*0.5)) stack nofill ylabel(#5,angle(horizontal))  title("Liquidity, in .0000 Cedis") legend(col(4) label(1 "Income") label(2 "Savings") size(small) width(200) nobox) plotregion(margin(zero) lc(black)) graphregion(margin(b+0 l+3) fc(white)) ysize(8) xsize(12) 	
	




	*graph twoway (bar income period) (bar savings period), xtitle("time", size(small) margin(small) ) ytitle(".0000 Cedis", size(small) margin(small))  ylabel(0 (200)1600, angle(horizontal)) xlabel(1(1)10) legend(size(small) width(100) nobox) plotregion(margin(zero)lc(black)) graphregion(margin(l-5 b-5)) xsize(12) ysize(8) title("Liquidity")

	graph export "D:\MPMAS\\Ghana_casestudy\TONO_10\Stata\results\Liquidity_BSL_DRY.tif", as(tif) replace




 
		
